<?php
/*
Plugin Name: Caps Test
Description: This plugin tests the has_cap filters, role_has_cap and user_has_cap
Author: Owen Winkler
Author URI: http://www.asymptomatic.net
*/

add_filter('role_has_cap', 'role_has_cap', 10, 3);
add_filter('user_has_cap', 'user_has_cap', 10, 3);

function role_has_cap($role_caps, $requested_cap, $role_name)
{
	//$role_caps contains the capabilities currently set on the Role
	//$requested_cap is the cap requested in the role->has_cap() call
	//$role_name is the name of the role that is being checked for the cap
	// return value is the full list of caps held by this role
	unset($role_caps['manage_options']);
	return $role_caps;
}

function user_has_cap($user_caps, $requested_caps, $cap_data)
{
	//$role_caps contains the capabilities currently set on the User
	//$requested_caps is an array of caps requested in the user->has_cap() call
	//$cap_data contains information about the request as passed to map_meta_cap()
	// return value is the full list of caps held by this user

	unset($user_caps['manage_options']);
	return $user_caps;
}

?>
